Module java.corba
Package org.omg.CORBA.portable

## Interface StreamableValue

- All Superinterfaces:
    `IDLEntity`, `Serializable`, `Streamable`, `ValueBase`

      public interface StreamableValue
      extends Streamable, ValueBase

  Defines the base type for all non-boxed IDL valuetypes that are not custom marshaled. All value types implement ValueBase either directly or indirectly by implementing either the StreamableValue or CustomValue interface.

- - ### Method Summary

    - ### Methods inherited from interface org.omg.CORBA.portable.Streamable

      `_read, _type, _write`

    - ### Methods inherited from interface org.omg.CORBA.portable.ValueBase

      `_truncatable_ids`